{% set isRuleDef = rule is defined %}

<div class="rule-line">

    <select name="field-logic[]" style="{{ i == 0? 'display:none': '' }}">
        <option value="0"> </option>
        <option value="and" {{ i == 0 or (isRuleDef and rule.logic == 'and') ? 'selected' : '' }}> and</option>
        <option value="or" {{ i > 0 or (isRuleDef and rule.logic == 'or') ? 'selected' : '' }}> or</option>
    </select>

    <select name="field[]">
        <option name="0">Choose a field</option>
        {% for field in fields %}
            <option value="{{ field.id }}" {{ isRuleDef and rule.field.id == field.id ? 'selected' : '' }}>{{ field.name }}</option>
        {% endfor %}
    </select>

    <select name="field-condition[]">
        <option value="0"> </option>
        <option value="eq" {{ isRuleDef and rule.rule == 'eq' ? 'selected' : '' }}> =</option>
        <option value="noteq" {{ isRuleDef and rule.rule == 'noteq' ? 'selected' : '' }}> !=</option>
        <option value="noteq" {{ isRuleDef and rule.rule == 'gt' ? 'selected' : '' }}> ></option>
        <option value="noteq" {{ isRuleDef and rule.rule == 'lt' ? 'selected' : '' }}> <</option>
        <option value="noteq" {{ isRuleDef and rule.rule == 'gteq' ? 'selected' : '' }}> >=</option>
        <option value="noteq" {{ isRuleDef and rule.rule == 'lteq' ? 'selected' : '' }}> <=</option>
    </select>

    <input type="text" class="field-value-condition" name="field-value-condition[]"
           value="{{ isRuleDef and rule.value ? rule.value : '' }}"/>

</div>